Перейти к содержанию
Форум русской поддержки продукции Synology

Рекомендованные сообщения

На данный момент уже версия 0.38

 

Решил сам разобраться, как поставить новую версию sopds.

Уже на первых пунктах мануала по установке возникли трудности, а именно:

 

c Python еще понятно, поставил пакет. А вот Django, Pillow и apscheduler как ставить?

Покурил инет на предмет установки Django на Synology, инструкции есть, на английском и очень заморочено.

Кто скажет, обязательно ли ставить Django, Pillow и apscheduler ?

 

попробуйте так

pip3 install -r requirements.txt

 

или так:

pip install -r requirements.txt

 

и все необходимые пакеты будут установлены

 

Ссылка на сообщение
Поделиться на другие сайты
  • Ответов 670
  • Создано
  • Последний ответ

Лучшие авторы в этой теме

Лучшие авторы в этой теме

Опубликованные изображения

попробуйте так

pip3 install -r requirements.txt

 

или так:

pip install -r requirements.txt

 

и все необходимые пакеты будут установлены

Всех с Новым годом!

 

 

mitshel, смотри что выдает, видимо чего-то не хватает.

root@NAS:/volume1/web/opds# dir
total 60
drwx------+ 1 admin users   330 Jan  2 21:46 .
d---------+ 1 root  root    416 Dec 28 20:07 ..
drwx------+ 1 admin users    20 Dec 25 11:22 assets
drwx------+ 1 admin users    46 Dec 25 11:22 convert
-rwx------+ 1 admin users    62 Dec 25 11:22 .gitignore
-rwx------+ 1 admin users  1702 Dec 25 11:22 License
-rwx------+ 1 admin users   248 Dec 25 11:22 manage.py
drwx------+ 1 admin users   458 Dec 25 11:22 opds_catalog
-rwx------+ 1 admin users   415 Dec 25 11:22 .project
-rwx------+ 1 admin users   603 Dec 25 11:22 .pydevproject
-rwx------+ 1 admin users 25844 Dec 25 11:22 README.md
-rwx------+ 1 admin users    46 Dec 25 11:22 requirements-p33.txt
-rwx------+ 1 admin users    46 Dec 25 11:22 requirements.txt
drwx------+ 1 admin users    64 Dec 25 11:22 .settings
drwx------+ 1 admin users    72 Dec 25 11:22 sopds
drwx------+ 1 admin users   184 Dec 25 11:22 sopds_web_backend
drwx------+ 1 admin users    64 Dec 25 11:22 static
-rwx------+ 1 admin users   401 Dec 25 11:22 .travis.yml
root@NAS:/volume1/web/opds# pip3 install -r requirements.txt
-ash: pip3: command not found
root@NAS:/volume1/web/opds# pip install -r requirements.txt
-ash: pip: command not found
root@NAS:/volume1/web/opds#

 

 

Ссылка на сообщение
Поделиться на другие сайты
Всех с Новым годом!

 

 

mitshel, смотри что выдает, видимо чего-то не хватает.

root@NAS:/volume1/web/opds# dir
total 60
drwx------+ 1 admin users   330 Jan  2 21:46 .
d---------+ 1 root  root    416 Dec 28 20:07 ..
drwx------+ 1 admin users    20 Dec 25 11:22 assets
drwx------+ 1 admin users    46 Dec 25 11:22 convert
-rwx------+ 1 admin users    62 Dec 25 11:22 .gitignore
-rwx------+ 1 admin users  1702 Dec 25 11:22 License
-rwx------+ 1 admin users   248 Dec 25 11:22 manage.py
drwx------+ 1 admin users   458 Dec 25 11:22 opds_catalog
-rwx------+ 1 admin users   415 Dec 25 11:22 .project
-rwx------+ 1 admin users   603 Dec 25 11:22 .pydevproject
-rwx------+ 1 admin users 25844 Dec 25 11:22 README.md
-rwx------+ 1 admin users    46 Dec 25 11:22 requirements-p33.txt
-rwx------+ 1 admin users    46 Dec 25 11:22 requirements.txt
drwx------+ 1 admin users    64 Dec 25 11:22 .settings
drwx------+ 1 admin users    72 Dec 25 11:22 sopds
drwx------+ 1 admin users   184 Dec 25 11:22 sopds_web_backend
drwx------+ 1 admin users    64 Dec 25 11:22 static
-rwx------+ 1 admin users   401 Dec 25 11:22 .travis.yml
root@NAS:/volume1/web/opds# pip3 install -r requirements.txt
-ash: pip3: command not found
root@NAS:/volume1/web/opds# pip install -r requirements.txt
-ash: pip: command not found
root@NAS:/volume1/web/opds#

 

Обычно PIP автоматически устанавливается с последними версиями python, однако в вашем случае pip отсутствует. Т.е. нужно его установить. В Интернете масса описаний как это сделать. Вот информация с официальной страницы:

https://pip.pypa.io/en/stable/installing/

Ссылка на сообщение
Поделиться на другие сайты

Вот поэтому версия от garikh мне больше нравится.

Ни чего устанавливать не надо.

Надоело прыгать с бубном во круг питона и кучи модулей, которые надо еще доустановить ;)

Ссылка на сообщение
Поделиться на другие сайты

mitshel, спасибо за помощь.

sidor_ii, мы не ищем легких путей ;)

 

Продублирую сюда свой пост. (уже дело принципа sopds поставить :) )

 

1. Скачал pip https://bootstrap.pypa.io/get-pip.py

2. Под рутом через putty Запустил "python3 get-pip.py"

root@NAS:/volume1/web/opds# python3 get-pip.py
Collecting pip
  Using cached pip-9.0.1-py2.py3-none-any.whl
Collecting setuptools
  Using cached setuptools-32.3.1-py2.py3-none-any.whl
Collecting wheel
  Using cached wheel-0.29.0-py2.py3-none-any.whl
Installing collected packages: pip, setuptools, wheel
Successfully installed pip-9.0.1 setuptools-32.3.1 wheel-0.29.0

3. Запускаю "pip3 install -r requirements.txt"

root@NAS:/volume1/web/opds# pip3 install -r requirements.txt
-ash: pip3: command not found

 

P.S.

1. запускаю "pip install -r requirements.txt" - (pip без тройки)

root@NAS:/volume1/web/opds# pip install -r requirements.txt
Requirement already satisfied: Django>=1.8 in /usr/lib/python2.7/site-packages (from -r requirements.txt (line 1))
Requirement already satisfied: Pillow>=2.9.0 in /usr/lib/python2.7/site-packages (from -r requirements.txt (line 2))
Requirement already satisfied: apscheduler>=3.3.0 in /usr/lib/python2.7/site-packages (from -r requirements.txt (line 3))
Requirement already satisfied: olefile in /usr/lib/python2.7/site-packages (from Pillow>=2.9.0->-r requirements.txt (line 2))
Requirement already satisfied: funcsigs; python_version == "2.7" in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: setuptools>=0.7 in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: pytz in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: six>=1.4.0 in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: tzlocal>=1.2 in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: futures; python_version == "2.7" in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))

2. запускаю "python3 manage.py migrate"

root@NAS:/volume1/web/opds# python3 manage.py migrate
Traceback (most recent call last):
  File "manage.py", line 8, in <module>
    from django.core.management import execute_from_command_line
ImportError: No module named 'django'

3. Читаю эту тему, подобная ситуация с PIP3:

4. Запускаю "python3 -m ensurepip"

root@NAS:/volume1/web/opds# python3 -m ensurepip
Ignoring indexes: https://pypi.python.org/simple
Requirement already satisfied (use --upgrade to upgrade): setuptools in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages
Requirement already satisfied (use --upgrade to upgrade): pip in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages

5. Команда "PIP3" так и не работает.

 

Подскажите, что можно сделать?

Ссылка на сообщение
Поделиться на другие сайты

Установил. Пока без каких-либо ошибок добрался до сканирования каталога - 1ТБ библиотека шкрябать будет долго.

 

Как я понял, походу, команда pip3 в данном случае вообще не нужна.

Используется та же pip в следующем виде:

root@DiskStation:/volume1/web/sopds/sopds-master# python3 -m pip install -r requirements.txt

Вот результат(уже пустой прогон):

root@DiskStation:/volume1/web/sopds/sopds-master# python3 -m pip install -r requirements.txt
Requirement already satisfied: Django>=1.8 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from -r requirements.txt (line 1))
Requirement already satisfied: Pillow>=2.9.0 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from -r requirements.txt (line 2))
Requirement already satisfied: apscheduler>=3.3.0 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from -r requirements.txt (line 3))
Requirement already satisfied: olefile in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from Pillow>=2.9.0->-r requirements.txt (line 2))
Requirement already satisfied: tzlocal>=1.2 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: six>=1.4.0 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: setuptools>=0.7 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: pytz in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
root@DiskStation:/volume1/web/sopds/sopds-master#

 

Запустил и с файлом p33, странно, но были внесены какие-то коррективы - заменена версия какого-то пакета - это при том, что файлы-то при ближайшем рассмотрении оказались идентичными) Жаль, что телефонный звонок помешал зафиксировать изменения. :D Скорее всего просто второй прогон поправил некие детали.

 

Завтра продолжу. Основной вопрос, который пока мне не ясен это как контролировать процесс создания и запуск штатного апача.

Ссылка на сообщение
Поделиться на другие сайты

Вы немного неправильно поняли инструкцию. В ней буквально написано следующее:

pip3 install -r requirements.txt       # для Python 3.4 и выше
pip3 install -r requirements-p33.txt   # для Python 3.3

 

Это означает что первую строку нужно запускать если у вас Python 3.4 и выше, а вторую если Python 3.3

Проблема в том, что Django версии 1.9 и выше не работают корректно с python 3.3 (https://code.djangoproject.com/ticket/25868),

поэтому для python3.3 должна быть установлена Django 1.8

Собственно только в этом различия в файлах requirements.txt и requirements-p33.txt

 

Ссылка на сообщение
Поделиться на другие сайты
Вы немного неправильно поняли инструкцию. В ней буквально написано следующее:

pip3 install -r requirements.txt       # для Python 3.4 и выше
pip3 install -r requirements-p33.txt   # для Python 3.3

 

Это означает что первую строку нужно запускать если у вас Python 3.4 и выше, а вторую если Python 3.3

Проблема в том, что Django версии 1.9 и выше не работают корректно с python 3.3 (https://code.djangoproject.com/ticket/25868),

поэтому для python3.3 должна быть установлена Django 1.8

Собственно только в этом различия в файлах requirements.txt и requirements-p33.txt

 

 

Это-то как раз понятно. Дело в другом - содержимое файлов requirements.txt и requirements-p33.txt одинаково и различия в них отсутствуют:

Django>=1.8
Pillow>=2.9.0
apscheduler>=3.3.0

 

Писал я о другом - pip3 команда, вроде, и не нужна.

 

Ну да Б-г с ней.

 

Сканирование закончено.

 

sopds_scanner.log:

Startup once book-scan.
2017-01-06 00:31:06,553 INFO      ***** Starting sopds-scan...
2017-01-06 02:45:06,555 WARNING  fb2-365000-370999.zip - 366784.fb2 fb2 parse error []
2017-01-06 03:32:22,332 WARNING  fb2-182285-187147.zip - 185993.fb2 fb2 parse error []
2017-01-06 03:53:03,502 WARNING  fb2-119691-132107.zip - 120844.fb2 fb2 parse error []
2017-01-06 03:53:03,770 WARNING  fb2-119691-132107.zip - 120845.fb2 fb2 parse error []
2017-01-06 03:53:04,158 WARNING  fb2-119691-132107.zip - 120867.fb2 fb2 parse error []
2017-01-06 03:53:04,270 WARNING  fb2-119691-132107.zip - 120869.fb2 fb2 parse error []
2017-01-06 03:53:04,689 WARNING  fb2-119691-132107.zip - 120882.fb2 fb2 parse error []
2017-01-06 03:53:07,050 WARNING  fb2-119691-132107.zip - 121005.fb2 fb2 parse error []
2017-01-06 03:53:38,489 WARNING  fb2-119691-132107.zip - 122485.fb2 fb2 parse error []
2017-01-06 03:54:08,571 WARNING  fb2-119691-132107.zip - 124269.fb2 fb2 parse error []
2017-01-06 03:54:42,160 WARNING  fb2-119691-132107.zip - 126076.fb2 fb2 parse error []
2017-01-06 03:54:47,722 WARNING  fb2-119691-132107.zip - 126390.fb2 fb2 parse error []
2017-01-06 03:54:51,326 WARNING  fb2-119691-132107.zip - 126570.fb2 fb2 parse error []
2017-01-06 03:54:52,570 WARNING  fb2-119691-132107.zip - 126620.fb2 fb2 parse error []
2017-01-06 03:54:59,347 WARNING  fb2-119691-132107.zip - 129300.fb2 fb2 parse error []
2017-01-06 03:54:59,399 WARNING  fb2-119691-132107.zip - 129304.fb2 fb2 parse error []
2017-01-06 03:54:59,440 WARNING  fb2-119691-132107.zip - 129305.fb2 fb2 parse error []
2017-01-06 03:55:03,250 WARNING  fb2-119691-132107.zip - 129556.fb2 fb2 parse error []
2017-01-06 03:55:07,679 WARNING  fb2-119691-132107.zip - 129813.fb2 fb2 parse error []
2017-01-06 04:10:38,331 WARNING  fb2-074392-091839.zip - 91582.fb2 fb2 parse error []
2017-01-06 04:41:39,723 WARNING  fb2-000024-030559.zip - 25453.fb2 fb2 parse error []
2017-01-06 04:41:44,537 WARNING  fb2-000024-030559.zip - 25608.fb2 fb2 parse error []
2017-01-06 04:45:32,249 INFO     Books added      : 453328
2017-01-06 04:45:32,249 INFO     Books skipped    : 0
2017-01-06 04:45:32,250 INFO     Bad books        : 22
2017-01-06 04:45:32,250 INFO     Books DB entries deleted : None
2017-01-06 04:45:32,250 INFO     Books in archives: 453328
2017-01-06 04:45:32,250 INFO     Archives scanned : 203
2017-01-06 04:45:32,250 INFO     Archives skipped : 0
2017-01-06 04:45:32,251 INFO     Bad archives     : 0
2017-01-06 04:45:32,251 INFO     Time estimated:4 hours, 14 minutes, 25 seconds.
Complete book-scan.

 

Но в phpmyadmin изменения не просматриваются... Это нормально?

Ссылка на сообщение
Поделиться на другие сайты
Это-то как раз понятно. Дело в другом - содержимое файлов requirements.txt и requirements-p33.txt одинаково и различия в них отсутствуют:

Ну уж не совсем одинаково, если внимательно посмотреть.

 

По умолчанию SOPDS использует SQLite поэтому, если Вы не смотрели на раздел 2 инструкции то у вас создалась БД SQLite и все будет работать именно с ней.

Ссылка на сообщение
Поделиться на другие сайты
Ну уж не совсем одинаково, если внимательно посмотреть.

 

По умолчанию SOPDS использует SQLite поэтому, если Вы не смотрели на раздел 2 инструкции то у вас создалась БД SQLite и все будет работать именно с ней.

 

Ок, ясно. Спасибо! Ну и да! Нашел различия - ночью они не так заметны)))

 

Что б задействовать Марию надо пересканировать?

Ссылка на сообщение
Поделиться на другие сайты

Изменил запись на

Django>1.8

 

Получил:

root@DiskStation:/volume1/web/sopds/sopds-master# python3 -m pip install -r requirements.txt
Collecting Django>1.8 (from -r requirements.txt (line 1))
  Using cached Django-1.10.5-py2.py3-none-any.whl
Requirement already satisfied: Pillow>=2.9.0 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from -r requirements.txt (line 2))
Requirement already satisfied: apscheduler>=3.3.0 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from -r requirements.txt (line 3))
Requirement already satisfied: olefile in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from Pillow>=2.9.0->-r requirements.txt (line 2))
Requirement already satisfied: setuptools>=0.7 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: pytz in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: tzlocal>=1.2 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: six>=1.4.0 in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Installing collected packages: Django
  Found existing installation: Django 1.8
    Uninstalling Django-1.8:
      Successfully uninstalled Django-1.8
Successfully installed Django-1.10.5

Ссылка на сообщение
Поделиться на другие сайты
Изменил запись на

Django>1.8

 

Как я понял, вы осознали что зря использовали requirements-p33.txt и озадачились возврату к зависимостям, указанным в requirements.txt

Можно было-бы ничего не делать и работать с django 1.8, но раз вам захотелось получить новую версию django совсем не обязательно для этого менять requirements.txt

Обновить все согласно указанным в нем зависимостям можно и так:

python3 -m pip install --upgrade -r requirements.txt

 

 

Ссылка на сообщение
Поделиться на другие сайты

Пока борюсь c MySQL... MySQL побеждает.

 

root@DiskStation:/volume1/web/sopds/sopds-master# python3 manage.py migrate
Traceback (most recent call last):
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/db/backends/mysql/base.py", line 25, in <module>
    import MySQLdb as Database
ImportError: No module named 'MySQLdb'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "manage.py", line 10, in <module>
    execute_from_command_line(sys.argv)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/core/management/__init__.py", line 367, in execute_from_command_line
    utility.execute()
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/core/management/__init__.py", line 341, in execute
    django.setup()
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/__init__.py", line 27, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/apps/registry.py", line 108, in populate
    app_config.import_models(all_models)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/apps/config.py", line 199, in import_models
    self.models_module = import_module(models_module_name)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 986, in _gcd_import
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 662, in exec_module
  File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/contrib/auth/models.py", line 4, in <module>
    from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManager
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/contrib/auth/base_user.py", line 52, in <module>
    class AbstractBaseUser(models.Model):
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/db/models/base.py", line 119, in __new__
    new_class.add_to_class('_meta', Options(meta, app_label))
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/db/models/base.py", line 316, in add_to_class
    value.contribute_to_class(cls, name)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/db/models/options.py", line 214, in contribute_to_class
    self.db_table = truncate_name(self.db_table, connection.ops.max_name_length())
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/db/__init__.py", line 33, in __getattr__
    return getattr(connections[DEFAULT_DB_ALIAS], item)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/db/utils.py", line 211, in __getitem__
    backend = load_backend(db['ENGINE'])
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/db/utils.py", line 115, in load_backend
    return import_module('%s.base' % backend_name)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "/volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages/django/db/backends/mysql/base.py", line 28, in <module>
    raise ImproperlyConfigured("Error loading MySQLdb module: %s" % e)
django.core.exceptions.ImproperlyConfigured: Error loading MySQLdb module: No module named 'MySQLdb'
root@DiskStation:/volume1/web/sopds/sopds-master#

Ссылка на сообщение
Поделиться на другие сайты
Пока борюсь c MySQL... MySQL побеждает.

 

Попробуйте как написано интсрукции:

pip3 install mysqlclient

ну или

python3 -m pip install mysqlclient

Ссылка на сообщение
Поделиться на другие сайты
Попробуйте как написано интсрукции:

pip3 install mysqlclient

ну или

python3 -m pip install mysqlclient

 

Пробовал, конечно(

root@DiskStation:/volume1/web/sopds/sopds-master# python3 -m pip install mysqlclient
Collecting mysqlclient
  Using cached mysqlclient-1.3.9.tar.gz
    Complete output from command python setup.py egg_info:
    /bin/sh: mysql_config: command not found
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-svzfe5ta/mysqlclient/setup.py", line 17, in <module>
        metadata, options = get_config()
      File "/tmp/pip-build-svzfe5ta/mysqlclient/setup_posix.py", line 44, in get_config
        libs = mysql_config("libs_r")
      File "/tmp/pip-build-svzfe5ta/mysqlclient/setup_posix.py", line 26, in mysql_config
        raise EnvironmentError("%s not found" % (mysql_config.path,))
    OSError: mysql_config not found

    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-svzfe5ta/mysqlclient/
root@DiskStation:/volume1/web/sopds/sopds-master#

Ссылка на сообщение
Поделиться на другие сайты

Думаю тут нужна какая-то стандартная библиотека для связи с Mysql

Варианты для разных линуксов здесь посмотрите:

http://stackoverflow.com/questions/7475223...ython-interface

 

И еще, на гитхабе есть issue по установке sopds на debian (synology ведь на Debianе?) - тут тоже есть информация как подружить Django и Mysql:

https://github.com/mitshel/sopds/issues/16

хотя я все-таки попробовал сначала попытаться установить python-mysqldb

sudo aptitude install python-mysqldb

 

Ну и в конце концов, а чем вам SQLite не понравилась. Все точно так-же работает.

Ссылка на сообщение
Поделиться на другие сайты
Пока борюсь c MySQL... MySQL побеждает.

Остановился на аналогичной проблеме, но из дополнительного устанавливал mysql-connector-python-2.1.5.zip (как для SOPDS более ранних версий по этой инструкции)

В качестве DB в настройках прописывал InnoDB.

SQLight не пробовал.

Ссылка на сообщение
Поделиться на другие сайты
Остановился на аналогичной проблеме, но из дополнительного устанавливал mysql-connector-python-2.1.5.zip (как для SOPDS более ранних версий по этой инструкции)

В качестве DB в настройках прописывал InnoDB.

SQLight не пробовал.

 

С SQLight проблем не было - библиотека отсканировалась без ошибок. Но хочется чего-то помощнее)

Ссылка на сообщение
Поделиться на другие сайты
  • 3 недели спустя...

Вот еще интересное решение для создания личного opds-каталога - http://www.listread.ru/opds_catalog.html

Причем все крайне просто: закачал файл с текстом книги и opds каталог готов - вставляй уникальную ссылку в свою "читалку" и всё. Скачивать же можешь только ты сам.

Ссылка на сообщение
Поделиться на другие сайты

Добрый день, уважаемое сообщество.

Прошу помощи - второй день бьюсь безрезультатно с настройкой COPSFB на DS415+.

 

Суть проблемы: ошибка доступа к директории с зип-архивами.

 

В настройках php (webstation) включил отображение ошибок. Получаю следующую ошибку:

Warning: is_dir(): open_basedir restriction in effect. File(/volume3/tmp/_Lib.Rus.Ec/lib.rus.ec/fb2-060424-074391.zip) is not within the allowed path(s): (/etc.defaults:/etc:/usr/syno/synoman:/tmp:/var/services/tmp:/var/services/web:/volume3/tmp/_Lib.rus.ec/lib.rus.ec) in /volume1/web/copsfb/checkconfig.php on line 195 
Warning: file_exists(): open_basedir restriction in effect. File(/volume3/tmp/_Lib.Rus.Ec/lib.rus.ec/fb2-060424-074391.zip) is not within the allowed path(s): (/etc.defaults:/etc:/usr/syno/synoman:/tmp:/var/services/tmp:/var/services/web:/volume3/tmp/_Lib.rus.ec/lib.rus.ec) in /volume1/web/copsfb/checkconfig.php on line 198
Library files not exists or not readable.

Check $config['calibre_directory'] in config.php and open_basedir in your php configuration

 

Моя строка open_basedir:

/etc.defaults:/etc:/usr/syno/synoman:/tmp:/var/services/tmp:/var/services/web:/volume3/tmp/_Lib.rus.ec/lib.rus.ec

 

config_local.php:

$config['use_myhomelib_base'] = TRUE;

if ( $config['use_myhomelib_base'] )

$config['calibre_directory'] = "/volume3/tmp/_Lib.Rus.Ec/lib.rus.ec/"; //linux

 

phpinfo() подтверждает правильность:

http://i90.fastpic.ru/thumb/2017/0202/69/e8ddaf20761ebe8e443cd7503f3b7f69.jpeg

 

Владельцем папки с архивами установлен http, ему же даны права чтения:

http://i89.fastpic.ru/thumb/2017/0202/ef/9c78120bbfc5ce4696eda228e0e4b7ef.jpeg http://i89.fastpic.ru/thumb/2017/0202/a0/e0856b309bc4b5746cae55faa14c64a0.jpeg

 

Пробовал с другой папкой, менял права и владельца через консоль (chown, chmod). Кстати, есть и группа http и пользователь http, пробовал различные комбинации с ними - результат один и тот же.

 

Если у кого есть какие идеи, подскажите пожалуйста, не дайте свихнуться! :)

Ссылка на сообщение
Поделиться на другие сайты
Добрый день, уважаемое сообщество.

Прошу помощи - второй день бьюсь безрезультатно с настройкой COPSFB на DS415+.

 

Суть проблемы: ошибка доступа к директории с зип-архивами.

Почитайте этот и следующий пост http://www.synology-forum.ru/index.php?s=&...ost&p=57179

Надеюсь поможет.

 

Ссылка на сообщение
Поделиться на другие сайты
Почитайте этот и следующий пост http://www.synology-forum.ru/index.php?s=&...ost&p=57179

Надеюсь поможет.

 

Делал именно по вашей инструкции (выставляя права доступа на корневую папку в разделе).

Не работает

Ссылка на сообщение
Поделиться на другие сайты

Ошибку вам прямо так и пишут

open_basedir restriction in effect.

Попробуйте указать в переменной open_basedir не ту директорию, где зипы, а на одну или две выше

/etc.defaults:/etc:/usr/syno/synoman:/tmp:/var/services/tmp:/var/services/web:/volume3/tmp/_Lib.rus.ec

или

/etc.defaults:/etc:/usr/syno/synoman:/tmp:/var/services/tmp:/var/services/web:/volume3/tmp

И права для /volume3/tmp (и поддиректорий) дайте пока всем на всё. Если заработает, потом уберете.

Ссылка на сообщение
Поделиться на другие сайты
Ошибку вам прямо так и пишут

 

Попробуйте указать в переменной open_basedir не ту директорию, где зипы, а на одну или две выше

/etc.defaults:/etc:/usr/syno/synoman:/tmp:/var/services/tmp:/var/services/web:/volume3/tmp/_Lib.rus.ec

или

/etc.defaults:/etc:/usr/syno/synoman:/tmp:/var/services/tmp:/var/services/web:/volume3/tmp

И права для /volume3/tmp (и поддиректорий) дайте пока всем на всё. Если заработает, потом уберете.

 

Попробовал.

Если указывать в open_basedir не директорию с архивами, а корневую (/volume/tmp) - получаю ошибку:

Library files not exists or not readable.

Check $config['calibre_directory'] in config.php and open_basedir in your php configuration

 

Если указывать в open_basedir конечную директорию с архивами (/volume3/tmp/_Lib.Rus.Ec/lib.rus.ec/) или на уровень выше (/volume3/tmp/_Lib.Rus.Ec) - получаю ошибку:

Warning: is_dir(): open_basedir restriction in effect. File(/volume3/tmp/_Lib.Rus.Ec/lib.rus.ec/fb2-060424-074391.zip) is not within the allowed path(s): (/etc.defaults:/etc:/usr/syno/synoman:/tmp:/var/services/tmp:/var/services/web:/volume3/tmp/_Lib.Rus.Ec/lib.rus.ec) in /volume1/web/copsfb/checkconfig.php on line 195 Warning: file_exists(): open_basedir restriction in effect. File(/volume3/tmp/_Lib.Rus.Ec/lib.rus.ec/fb2-060424-074391.zip) is not within the allowed path(s): (/etc.defaults:/etc:/usr/syno/synoman:/tmp:/var/services/tmp:/var/services/web:/volume3/tmp/_Lib.Rus.Ec/lib.rus.ec) in /volume1/web/copsfb/checkconfig.php on line 198
Library files not exists or not readable.

Check $config['calibre_directory'] in config.php and open_basedir in your php configuration

 

Права выставлены по типу "всё для всех" (Everyone -> Full control).

 

 

Ссылка на сообщение
Поделиться на другие сайты

Ну вот, при open_basedir=/volume/tmp от одной ошибки избавились.

 

Осталось понять, почему скрипт не видит файла /volume3/tmp/_Lib.Rus.Ec/lib.rus.ec/fb2-060424-074391.zip

Причина - либо файла там нет, либо нет прав на его чтение. Покажите вывод в терминале команды

ls -la /volume3/tmp/_Lib.Rus.Ec/lib.rus.ec/fb2-060424-074391.zip

Ссылка на сообщение
Поделиться на другие сайты

Присоединяйтесь к обсуждению

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.

Гость
Ответить в этой теме...

×   Вставлено в виде отформатированного текста.   Вставить в виде обычного текста

  Разрешено не более 75 эмодзи.

×   Ваша ссылка была автоматически встроена.   Отобразить как ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставить изображения напрямую. Загрузите или вставьте изображения по ссылке.

Загрузка...

×
×
  • Создать...